Subject: Biologicals for sale?

From: [email-masked] (Stefan Voroney)
Date: Fri, 13 Jan 1995 18:08:50 GMT

I am new to the field of mycology and I wish to know if there are
any companies in Canada (or the US) which sell cultures and/or
spore prints of various basidiomycetes around that a layperson
can order from. It gets frustrating going on field hunts all the 
time.... Catalogues of suppliers to professionals would be OK too
if available. I'm counting on user input so please help!